%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global commit 9b9fddf596a77e6b7e0407f0e45d02ca3a5ba5e1
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-stomper
Version:        0.2.9
Release:        1%{?dist}
Summary:        A python client implementation of the STOMP protocol

Group:          Development/Languages
License:        ASL 2.0
URL:            https://pypi.python.org/pypi/stomper

# Latest releases didn't appear on pypi.
# https://github.com/oisinmulvihill/stomper/issues/8
#Source0:        https://pypi.python.org/packages/source/s/stomper/stomper-%{version}.tar.gz
Source0:        https://github.com/oisinmulvihill/stomper/archive/%{commit}/stomper-%{commit}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose

%if 0%{?el5}
BuildRequires:  python-uuid
Requires:       python-uuid
%endif

%description
This is a python client implementation of the STOMP protocol. The client is
attempting to be transport layer neutral. This module provides functions to
create and parse STOMP messages in a programatic fashion.

%prep
%setup -q -n stomper-%{commit}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

%check
PYTHONPATH=. nosetests -q

%files
%doc README.rst
%{python2_sitelib}/*

%changelog
* Mon Sep 15 2014 Ralph Bean <rbean@redhat.com> - 0.2.9-1
- New upstream supporting STOMP-1.1.
- Use github tarball, https://github.com/oisinmulvihill/stomper/issues/8
- Use python2 macros.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 27 2014 Luke Macken <lmacken@redhat.com> - 0.2.8-1
- Update to 0.2.8 (#949150)
- Update the URLs
- Modernize the specfile

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 21 2010 Luke Macken <lmacken@redhat.com> - 0.2.4-1
- Update to 0.2.4 (#639565)

* Tue Sep 07 2010 Luke Macken <lmacken@redhat.com> - 0.2.3-1
- Update to 0.2.3

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.2.2-10
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Sep 03 2009 Luke Macken <lmacken@redhat.com> - 0.2.2-9
- Require python-uuid when using Python2.4 only
- Run the test suite in %%check

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 09 2009 Silas Sewell <silas at sewell ch> - 0.2.2-7
- Remove Python version dependency

* Sun Mar 29 2009 Silas Sewell <silas at sewell ch> - 0.2.2-6
- Fix dependencies

* Thu Mar 26 2009 Silas Sewell <silas at sewell ch> - 0.2.2-5
- Update package name to conform to Fedora naming standards
- Change define to global

* Fri Mar 20 2009 Silas Sewell <silas at sewell ch> - 0.2.2-4
- Update upstream package to remove hidden files

* Thu Mar 05 2009 Silas Sewell <silas at sewell ch> - 0.2.2-3
- Manually remove hidden files

* Wed Dec 17 2008 Silas Sewell <silas at sewell ch> - 0.2.2-2
- Increase Python requirements to 2.5 because stomper uses uuid

* Wed Dec 17 2008 Silas Sewell <silas at sewell ch> - 0.2.2-1
- Initial package
